package com.ruoyi.system.domain.zb;

import java.io.Serializable;
import java.util.Date;

public class ZbWeekReport implements Serializable {
    private String id;

    /**
     * 标题
     *
     * @mbg.generated
     */
    private String title;

    /**
     * 填报开始时间
     *
     * @mbg.generated
     */
    private Date startDate;

    /**
     * 填报结束时间
     *
     * @mbg.generated
     */
    private Date endDate;

    /**
     * 第几周
     *
     * @mbg.generated
     */
    private String week;

    /**
     * 年度
     *
     * @mbg.generated
     */
    private String year;

    /**
     * 领导是否填报
     *
     * @mbg.generated
     */
    private Byte leaderFillFlag;

    /**
     * 所有人是否可见
     *
     * @mbg.generated
     */
    private Byte showFlag;

    /**
     * 发布方式
     *
     * @mbg.generated
     */
    private String type;

    private Date createTime;

    /**
     * 创建人
     *
     * @mbg.generated
     */
    private String createUser;

    private Date updateTime;

    private String updateUser;

    /**
     * 需填报总数
     *
     * @mbg.generated
     */
    private Integer fillCount;

    /**
     * 是否有效
     *
     * @mbg.generated
     */
    private Byte valid;

    /**
     * 状态(0草稿，1发布完成)
     *
     * @mbg.generated
     */
    private Integer status;

    /**
     * 适用的配置字典id
     *
     * @mbg.generated
     */
    private String dictId;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getWeek() {
        return week;
    }

    public void setWeek(String week) {
        this.week = week;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public Byte getLeaderFillFlag() {
        return leaderFillFlag;
    }

    public void setLeaderFillFlag(Byte leaderFillFlag) {
        this.leaderFillFlag = leaderFillFlag;
    }

    public Byte getShowFlag() {
        return showFlag;
    }

    public void setShowFlag(Byte showFlag) {
        this.showFlag = showFlag;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public Integer getFillCount() {
        return fillCount;
    }

    public void setFillCount(Integer fillCount) {
        this.fillCount = fillCount;
    }

    public Byte getValid() {
        return valid;
    }

    public void setValid(Byte valid) {
        this.valid = valid;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getDictId() {
        return dictId;
    }

    public void setDictId(String dictId) {
        this.dictId = dictId;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", title=").append(title);
        sb.append(", startDate=").append(startDate);
        sb.append(", endDate=").append(endDate);
        sb.append(", week=").append(week);
        sb.append(", year=").append(year);
        sb.append(", leaderFillFlag=").append(leaderFillFlag);
        sb.append(", showFlag=").append(showFlag);
        sb.append(", type=").append(type);
        sb.append(", createTime=").append(createTime);
        sb.append(", createUser=").append(createUser);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", updateUser=").append(updateUser);
        sb.append(", fillCount=").append(fillCount);
        sb.append(", valid=").append(valid);
        sb.append(", status=").append(status);
        sb.append(", dictId=").append(dictId);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        ZbWeekReport other = (ZbWeekReport) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getTitle() == null ? other.getTitle() == null : this.getTitle().equals(other.getTitle()))
            && (this.getStartDate() == null ? other.getStartDate() == null : this.getStartDate().equals(other.getStartDate()))
            && (this.getEndDate() == null ? other.getEndDate() == null : this.getEndDate().equals(other.getEndDate()))
            && (this.getWeek() == null ? other.getWeek() == null : this.getWeek().equals(other.getWeek()))
            && (this.getYear() == null ? other.getYear() == null : this.getYear().equals(other.getYear()))
            && (this.getLeaderFillFlag() == null ? other.getLeaderFillFlag() == null : this.getLeaderFillFlag().equals(other.getLeaderFillFlag()))
            && (this.getShowFlag() == null ? other.getShowFlag() == null : this.getShowFlag().equals(other.getShowFlag()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getCreateUser() == null ? other.getCreateUser() == null : this.getCreateUser().equals(other.getCreateUser()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getUpdateUser() == null ? other.getUpdateUser() == null : this.getUpdateUser().equals(other.getUpdateUser()))
            && (this.getFillCount() == null ? other.getFillCount() == null : this.getFillCount().equals(other.getFillCount()))
            && (this.getValid() == null ? other.getValid() == null : this.getValid().equals(other.getValid()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getDictId() == null ? other.getDictId() == null : this.getDictId().equals(other.getDictId()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getTitle() == null) ? 0 : getTitle().hashCode());
        result = prime * result + ((getStartDate() == null) ? 0 : getStartDate().hashCode());
        result = prime * result + ((getEndDate() == null) ? 0 : getEndDate().hashCode());
        result = prime * result + ((getWeek() == null) ? 0 : getWeek().hashCode());
        result = prime * result + ((getYear() == null) ? 0 : getYear().hashCode());
        result = prime * result + ((getLeaderFillFlag() == null) ? 0 : getLeaderFillFlag().hashCode());
        result = prime * result + ((getShowFlag() == null) ? 0 : getShowFlag().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getCreateUser() == null) ? 0 : getCreateUser().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getUpdateUser() == null) ? 0 : getUpdateUser().hashCode());
        result = prime * result + ((getFillCount() == null) ? 0 : getFillCount().hashCode());
        result = prime * result + ((getValid() == null) ? 0 : getValid().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getDictId() == null) ? 0 : getDictId().hashCode());
        return result;
    }
}